import node from "@rollup/plugin-node-resolve";
import { babel } from '@rollup/plugin-babel';
import cjs from '@rollup/plugin-commonjs';

const config = {
  output: {
    indent: false,
    extend: true,
  },
  plugins: [
    babel({babelHelpers:'bundled'}),
    node(
     {
        modulePaths: ['/usr/share/nodejs', '/usr/lib/nodejs', 'node_modules'],
        preferBuiltins: false
     }
    ),
    cjs(),
  ]
};

export default [
  config
];
